# Generated by Django 4.1.7 on 2023-04-04 21:34

import wagtail.blocks
import wagtail.fields
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("main", "0045_alter_mainprogrampage_program"),
    ]

    operations = [
        migrations.AddField(
            model_name="mainhomepage",
            name="instagram_usernames",
            field=wagtail.fields.StreamField(
                [
                    (
                        "username",
                        wagtail.blocks.CharBlock(label="Instagram uživatelské jméno"),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Uživatelská jména pro synchronizované Instagram účty",
            ),
        ),
        migrations.AddField(
            model_name="mainpersonpage",
            name="instagram_username",
            field=models.CharField(
                blank=True,
                help_text="Uživatelské jméno zadejte bez @ na začátku",
                max_length=32,
                null=True,
                verbose_name="Uživatelské jméno na Instagramu pro získání příspěvků",
            ),
        ),
        migrations.AlterField(
            model_name="mainhomepage",
            name="twitter_usernames",
            field=wagtail.fields.StreamField(
                [
                    (
                        "username",
                        wagtail.blocks.CharBlock(label="Twitter uživatelské jméno"),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Uživatelská jména pro synchronizované Twitter účty",
            ),
        ),
        migrations.AlterField(
            model_name="mainpersonpage",
            name="twitter_username",
            field=models.CharField(
                blank=True,
                help_text="Uživatelské jméno zadejte bez @ na začátku",
                max_length=32,
                null=True,
                verbose_name="Uživatelské jméno na Twitteru pro získání příspěvků",
            ),
        ),
    ]
